# Uses of Interface
java.awt.image.RenderedImage

Packages that use RenderedImage
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.image
Provides classes for creating and modifying images.
java.awt.image.renderable
Provides classes and interfaces for producing rendering-independent images.
javax.imageio
The main package of the Java Image I/O API.
javax.imageio.spi
A package of the Java Image I/O API containing the plug-in interfaces for readers, writers, transcoders, and streams, and a runtime registry.

## Uses of RenderedImage in java.awt

Methods in java.awt with parameters of type RenderedImage
Modifier and Type
Method
Description
`abstract void`
Graphics2D.`drawRenderedImage(RenderedImage img, AffineTransform xform)`
Renders a `RenderedImage`, applying a transform from image space into user space before drawing.

## Uses of RenderedImage in java.awt.image

Subinterfaces of RenderedImage in java.awt.image
Modifier and Type
Interface
Description
`interface`
`WritableRenderedImage`
WritableRenderedImage is a common interface for objects which contain or can produce image data in the form of Rasters and which can be modified and/or written over.
Classes in java.awt.image that implement RenderedImage
Modifier and Type
Class
Description
`class`
`BufferedImage`
The `BufferedImage` subclass describes an `Image` with an accessible buffer of image data.
Methods in java.awt.image that return types with arguments of type RenderedImage
Modifier and Type
Method
Description
`Vector<RenderedImage>`
BufferedImage.`getSources()`
Returns a `Vector` of `RenderedImage` objects that are the immediate sources, not the sources of these immediate sources, of image data for this `BufferedImage`.
`Vector<RenderedImage>`
RenderedImage.`getSources()`
Returns a vector of RenderedImages that are the immediate sources of image data for this RenderedImage.

## Uses of RenderedImage in java.awt.image.renderable

Methods in java.awt.image.renderable that return RenderedImage
Modifier and Type
Method
Description
`RenderedImage`
ContextualRenderedImageFactory.`create(RenderContext renderContext, ParameterBlock paramBlock)`
Creates a rendering, given a RenderContext and a ParameterBlock containing the operation's sources and parameters.
`RenderedImage`
RenderedImageFactory.`create(ParameterBlock paramBlock, RenderingHints hints)`
Creates a RenderedImage representing the results of an imaging operation (or chain of operations) for a given ParameterBlock and RenderingHints.
`RenderedImage`
RenderableImage.`createDefaultRendering()`
Returns a RenderedImage instance of this image with a default width and height in pixels.
`RenderedImage`
RenderableImageOp.`createDefaultRendering()`
Gets a RenderedImage instance of this image with a default width and height in pixels.
`RenderedImage`
RenderableImage.`createRendering(RenderContext renderContext)`
Creates a RenderedImage that represented a rendering of this image using a given RenderContext.
`RenderedImage`
RenderableImageOp.`createRendering(RenderContext renderContext)`
Creates a RenderedImage which represents this RenderableImageOp (including its Renderable sources) rendered according to the given RenderContext.
`RenderedImage`
RenderableImage.`createScaledRendering(int w, int h, RenderingHints hints)`
Creates a RenderedImage instance of this image with width w, and height h in pixels.
`RenderedImage`
RenderableImageOp.`createScaledRendering(int w, int h, RenderingHints hints)`
Creates a RenderedImage instance of this image with width w, and height h in pixels.
`RenderedImage`
ParameterBlock.`getRenderedSource(int index)`
Returns a source as a `RenderedImage`.

## Uses of RenderedImage in javax.imageio

Fields in javax.imageio declared as RenderedImage
Modifier and Type
Field
Description
`protected RenderedImage`
IIOImage.`image`
The `RenderedImage` being referenced.
Methods in javax.imageio that return RenderedImage
Modifier and Type
Method
Description
`RenderedImage`
IIOImage.`getRenderedImage()`
Returns the currently set `RenderedImage`, or `null` if only a `Raster` is available.
`RenderedImage`
ImageReader.`readAsRenderedImage(int imageIndex, ImageReadParam param)`
Returns a `RenderedImage` object that contains the contents of the image indexed by `imageIndex`.
Methods in javax.imageio with parameters of type RenderedImage
Modifier and Type
Method
Description
`static ImageTypeSpecifier`
ImageTypeSpecifier.`createFromRenderedImage(RenderedImage image)`
Returns an `ImageTypeSpecifier` that encodes the layout of a `RenderedImage` (which may be a `BufferedImage`).
`void`
ImageWriter.`replacePixels(RenderedImage image, ImageWriteParam param)`
Replaces a portion of an image already present in the output with a portion of the given image.
`void`
IIOImage.`setRenderedImage(RenderedImage image)`
Sets the current `RenderedImage`.
`static boolean`
ImageIO.`write(RenderedImage im, String formatName, File output)`
Writes an image using an arbitrary `ImageWriter` that supports the given format to a `File`.
`static boolean`
ImageIO.`write(RenderedImage im, String formatName, OutputStream output)`
Writes an image using an arbitrary `ImageWriter` that supports the given format to an `OutputStream`.
`static boolean`
ImageIO.`write(RenderedImage im, String formatName, ImageOutputStream output)`
Writes an image using an arbitrary `ImageWriter` that supports the given format to an `ImageOutputStream`.
`void`
ImageWriter.`write(RenderedImage image)`
Appends a complete image stream consisting of a single image with default metadata and thumbnails to the output.
Constructors in javax.imageio with parameters of type RenderedImage
Modifier
Constructor
Description
``
`IIOImage(RenderedImage image, List<? extends BufferedImage> thumbnails, IIOMetadata metadata)`
Constructs an `IIOImage` containing a `RenderedImage`, and thumbnails and metadata associated with it.
``
`ImageTypeSpecifier(RenderedImage image)`
Constructs an `ImageTypeSpecifier` from a `RenderedImage`.

## Uses of RenderedImage in javax.imageio.spi

Methods in javax.imageio.spi with parameters of type RenderedImage
Modifier and Type
Method
Description
`boolean`
ImageWriterSpi.`canEncodeImage(RenderedImage im)`
Returns `true` if the `ImageWriter` implementation associated with this service provider is able to encode the given `RenderedImage` instance.